org.apache.cassandra.db

## Class SliceQueryPager

- java.lang.Object
- - org.apache.cassandra.db.SliceQueryPager

- All Implemented Interfaces:
    java.util.Iterator<ColumnFamily>

      public class SliceQueryPager
      extends java.lang.Object
      implements java.util.Iterator<ColumnFamily>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnFamilyStore` | `cfs`
    `static int` | `DEFAULT_PAGE_SIZE`
    `DecoratedKey` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliceQueryPager(ColumnFamilyStore cfs, DecoratedKey key, ColumnSlice[] slices)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `ColumnFamily` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PAGE_SIZE

          public static final int DEFAULT_PAGE_SIZE

      See Also:
        Constant Field Values

    - #### cfs

          public final ColumnFamilyStore cfs

    - #### key

          public final DecoratedKey key

  - ### Constructor Detail

    - #### SliceQueryPager

          public SliceQueryPager(ColumnFamilyStore cfs,
                         DecoratedKey key,
                         ColumnSlice[] slices)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<ColumnFamily>`

    - #### next

          public ColumnFamily next()

      Specified by:
        `next` in interface `java.util.Iterator<ColumnFamily>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<ColumnFamily>`

Copyright © 2014 The Apache Software Foundation